/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * A model used in the Application Settings tree view.
 */
Ext.define( 'QDesk.model.AppSettingsTreeNode', {
  extend : 'Ext.data.Model',
  fields : [
    { name : 'id', type : 'string' },
    { name : 'name', type : 'string'},

  /**
   * Counter of invalid fields in the form that corresponds to this
   * node and also in all sub-forms.
   */
    { name : 'invalidFieldCount', type : 'int', defaultValue : 0}
  ]
} );
