/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.EmptyStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.util.constant.ActionUrl'
  ],

  storeId : 'EmptyStore',

  proxy : {
    type : 'ajax',
    url : QDesk.util.constant.ActionUrl.emptyStoreAction,

    api : {
      read : QDesk.util.constant.ActionUrl.emptyStoreAction
    },

    reader : {
      type : 'json',
      root : 'data',
      successProperty : 'success',
      idProperty : 'id',
      totalProperty : 'total'
    }

    // Don't want proxy to include these params in requests
    /*
     pageParam : undefined,
     startParam : undefined,
     limitParam : undefined,
     sortParam : undefined,
     directionParam : undefined,
     filterParam : undefined,
     groupParam : undefined
     */
  }
} );
