/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.im_icq.ImIcqAdvancedPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImIcqAdvancedPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 75
  },

  title : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqAdvancedPanel.tabLabelAdvanced' ),

  items : [
    {
      xtype : 'textfield',
      itemId : 'loginHost',
      name : 'loginHost',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqAdvancedPanel.fieldLabelLoginHost' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqAdvancedPanel.fieldEmptyTxtLoginHost' ),
      value : 'login.icq.com',
      allowBlank : false,
      qdesk : {
        required : true
      }
    },

    {
      xtype : 'numberfield',
      itemId : 'loginPort',
      name : 'loginPort',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqAdvancedPanel.fieldLabelLoginPort' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqAdvancedPanel.fieldEmptyTxtLoginPort' ),
      value : 5190,
      minValue : 1,
      maxValue : 65535,
      anchor : '60%',
      allowBlank : false,
      qdesk : {
        required : true
      }
    }
  ]
} );
