/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.navigation.help.license.LicenseFeaturesInfoTree', {
  extend : 'Ext.tree.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.store.license.v1_0.FeaturesInfoStore'
  ],

  alias : 'widget.LicenseFeaturesInfoTree',

  autoScroll : true,

  rootVisible : false,

  border : false,

  header : false,

  useArrows : true,

  cls : 'licenseFeaturesInfoTree',

  iconCls : 'licenseFeaturesInfoTreeIcon',

  columns : [
    {
      xtype : 'treecolumn',
      text : QDesk.Msg.get( 'QDesk.view.navigation.help.license.LicenseFeaturesInfoTree.textNameColumn' ),
      flex : 2,
      sortable : false,
      dataIndex : 'name'
    },
    {
      text : QDesk.Msg.get( 'QDesk.view.navigation.help.license.LicenseFeaturesInfoTree.textValueColumn' ),
      flex : 1,
      sortable : false,
      dataIndex : 'value'
    }
  ],


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var store = Ext.create( 'QDesk.store.license.v1_0.FeaturesInfoStore' );

    Ext.apply( config, {
      store : store
    } );

    me.callParent( [config] );
  }
} );
